{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TTR_TYPE"; 
            externalType = VARCHAR2; 
            name = ttrType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VEH_COMPAGNIE"; 
            externalType = VARCHAR2; 
            name = vehCompagnie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "VEH_DATE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "VEH_TYPE"; }; 
            name = vehDate; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "VEH_ETAT"; 
            externalType = VARCHAR2; 
            name = vehEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "VEH_IMMATRICULATION"; 
            externalType = VARCHAR2; 
            name = vehImmatriculation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "VEH_MARQUE"; 
            externalType = VARCHAR2; 
            name = vehMarque; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            columnName = "VEH_ORDRE"; 
            externalType = NUMBER; 
            name = vehOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VEH_POLICE"; 
            externalType = VARCHAR2; 
            name = vehPolice; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "VEH_PUISSANCE"; 
            externalType = VARCHAR2; 
            name = vehPuissance; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }
    ); 
    attributesUsedForLocking = (
        vehImmatriculation, 
        vehMarque, 
        vehPuissance, 
        vehOrdre, 
        ttrType, 
        fouOrdre, 
        vehEtat, 
        vehCompagnie, 
        vehPolice
    ); 
    className = "org.cocktail.kiwi.server.metier.EOVehicule"; 
    classProperties = (
        vehMarque, 
        vehPuissance, 
        vehImmatriculation, 
        fournis, 
        typeTransport, 
        vehEtat, 
        vehDate, 
        vehCompagnie, 
        vehPolice
    ); 
    externalName = "JEFY_MISSION.VEHICULE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            vehMarque, 
            vehPuissance, 
            typeTransport, 
            fournis, 
            vehDate, 
            vehEtat, 
            vehImmatriculation, 
            vehCompagnie, 
            vehPolice
        ); 
        "_javaClientClassName" = "org.cocktail.kiwi.client.metier.EOVehicule"; 
    }; 
    name = Vehicule; 
    primaryKeyAttributes = (vehOrdre); 
    relationships = (
        {
            destination = Fournis; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = fournis; 
        }, 
        {
            destination = TypeTransport; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ttrType; sourceAttribute = ttrType; }); 
            name = typeTransport; 
        }
    ); 
}
